## ngs-sdk 2.10.2

=== ngs-python/Makefile ===
# ===========================================================================
#
#                            PUBLIC DOMAIN NOTICE
#               National Center for Biotechnology Information
#
#  This software/database is a "United States Government Work" under the
#  terms of the United States Copyright Act.  It was written as part of
#  the author's official duties as a United States Government employee and
#  thus cannot be copyrighted.  This software/database is freely available
#  to the public for use. The National Library of Medicine and the U.S.
#  Government have not placed any restriction on its use or reproduction.
#
#  Although all reasonable efforts have been taken to ensure the accuracy
#  and reliability of the software and data, the NLM and the U.S.
#  Government do not and cannot warrant the performance or results that
#  may be obtained by using this software or data. The NLM and the U.S.
#  Government disclaim all warranties, express or implied, including
#  warranties of performance, merchantability or fitness for any particular
#  purpose.
#
#  Please cite the author in any work or product based on this material.
#
# ===========================================================================

# default response to "make"
default: std

std: subtargs

# the sub-targets
SUBTARGS =  \
	dummy

# standard rules and phony targets
include $(CURDIR)/Makefile.rules

# rules for making python code
install: Makefile.config
	@ $(MAKE) -s --no-print-directory -f Makefile.python install

dummy:
	@ echo "make complete for python"

dummy_cln dummy_inst:
	@ true
