=== debian/changelog ===
ngs-sdk (2.10.2-1) unstable; urgency=medium

  * Team upload.
  * Added Multi-Arch hints
  * Standards-Version: 4.5.0 (routine-update)
  * New upstream release (fixes a Python 3 bug)
  * remove markdown build-dep from the 'nodoc' build profile

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 17 Feb 2020 15:46:03 +0100
