=== debian/control ===
Source: ngs-sdk
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Olivier Sallou <osallou@debian.org>,
           Vincent Danjean <vdanjean@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               d-shlibs,
               markdown <!nodoc>,
               python3-all,
               python3-distutils,
               dh-python,
               javahelper,
               maven-repo-helper,
               default-jdk
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
Homepage: https://github.com/ncbi/ngs

Package: libngs-sdk2
Multi-Arch: same
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Next Generation Sequencing language Bindings
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.

Package: libngs-sdk-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libngs-sdk2 (= ${binary:Version})
Description: Next Generation Sequencing language Bindings (development)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 This is the development package.

Package: libngs-java
Multi-Arch: same
Architecture: any
Section: java
Depends: ${misc:Depends},
         ${java:Depends},
         libngs-sdk-dev (= ${binary:Version})
Recommends: ${java:Recommends}
Description: Next Generation Sequencing language Bindings (Java bindings)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 Java bindings.

Package: python3-ngs
Architecture: any
Section: python
Depends: ${python3:Depends},
         ${misc:Depends},
         libngs-sdk-dev (= ${binary:Version})
Description: Next Generation Sequencing language Bindings (Python3 bindings)
 NGS is a new, domain-specific API for accessing reads, alignments and
 pileups produced from Next Generation Sequencing. The API itself is
 independent from any particular back-end implementation, and supports
 use of multiple back-ends simultaneously. It also provides a library for
 building new back-end "engines". The engine for accessing SRA data is
 contained within the sister repository ncbi-vdb.
 .
 The API is currently expressed in C++, Java and Python languages. The
 design makes it possible to maintain a high degree of similarity between
 the code in one language and code in another - especially between C++
 and Java.
 .
 Python3 bindings.
