## ngs-sdk 2.10.5

=== debian/changelog ===
ngs-sdk (2.10.5-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 08:07:05 +0200
