=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
 Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
+Rules-Requires-Root: no
 
 Package: libngs-sdk2
 Multi-Arch: same
