=== ngs-python/examples/Makefile ===
--- 
+++ 
@@ -83,14 +83,14 @@
 # expected results for auto-testing
 #
 expected.txt update_expected:
-	if [ "$(PYTHON_VERS)" = "26" ] ; then \
+	@if [ "$(PYTHON_VERS)" = "26" ] ; then \
 		echo Python 2.6 is not supported ; \
 	else \
 		rm -f expected.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>expected.txt" ; \
 	fi
 
 run_and_diff: expected.txt
-	if [ "$(PYTHON_VERS)" = "26" ] ; then \
+	@if [ "$(PYTHON_VERS)" = "26" ] ; then \
 		echo Python 2.6 is not supported ; \
 	else \
 		rm -f actual.txt; LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) $(MAKE) run_all REDIRECT=">>actual.txt" ; \
