=== ngs-sdk/examples/Makefile ===
--- 
+++ 
@@ -179,9 +179,9 @@
 	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>expected.txt"
 
 run_and_diff: expected.txt
-	rm -f actual.txt
-	echo $(http_proxy)
-	export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>actual.txt"
+	@ rm -f actual.txt
+	@ echo http_proxy=$(http_proxy)
+	@ export LD_LIBRARY_PATH=$(LD_LIBRARY_PATH) ; $(MAKE) run_all REDIRECT=">>actual.txt"
 	@ diff expected.txt actual.txt && rm actual.txt && echo "NGS C++ examples work as expected"
 
 .PHONY: update_expected run_and_diff install
