=== debian/changelog ===
ngs-sdk (2.10.9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * watch file standard 4 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 17 Jan 2021 18:52:56 +0100
