=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Vincent Danjean <vdanjean@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                markdown <!nodoc>,
                python3-all,
@@ -14,7 +14,7 @@
                javahelper,
                maven-repo-helper,
                default-jdk
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/ngs-sdk
 Vcs-Git: https://salsa.debian.org/med-team/ngs-sdk.git
 Homepage: https://github.com/ncbi/ngs
